<?php



$tdatatb_catgitens_consumo = array();
$tdatatb_catgitens_consumo[".searchableFields"] = array();
$tdatatb_catgitens_consumo[".ShortName"] = "tb_catgitens_consumo";
$tdatatb_catgitens_consumo[".OwnerID"] = "";
$tdatatb_catgitens_consumo[".OriginalTable"] = "tb_catgitens_consumo";


$tdatatb_catgitens_consumo[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_catgitens_consumo[".originalPagesByType"] = $tdatatb_catgitens_consumo[".pagesByType"];
$tdatatb_catgitens_consumo[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_catgitens_consumo[".originalPages"] = $tdatatb_catgitens_consumo[".pages"];
$tdatatb_catgitens_consumo[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_catgitens_consumo[".originalDefaultPages"] = $tdatatb_catgitens_consumo[".defaultPages"];

//	field labels
$fieldLabelstb_catgitens_consumo = array();
$fieldToolTipstb_catgitens_consumo = array();
$pageTitlestb_catgitens_consumo = array();
$placeHolderstb_catgitens_consumo = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_catgitens_consumo["English"] = array();
	$fieldToolTipstb_catgitens_consumo["English"] = array();
	$placeHolderstb_catgitens_consumo["English"] = array();
	$pageTitlestb_catgitens_consumo["English"] = array();
	$fieldLabelstb_catgitens_consumo["English"]["catg_id"] = "Catg Id";
	$fieldToolTipstb_catgitens_consumo["English"]["catg_id"] = "";
	$placeHolderstb_catgitens_consumo["English"]["catg_id"] = "";
	$fieldLabelstb_catgitens_consumo["English"]["categoria"] = "Categoria";
	$fieldToolTipstb_catgitens_consumo["English"]["categoria"] = "";
	$placeHolderstb_catgitens_consumo["English"]["categoria"] = "";
	if (count($fieldToolTipstb_catgitens_consumo["English"]))
		$tdatatb_catgitens_consumo[".isUseToolTips"] = true;
}


	$tdatatb_catgitens_consumo[".NCSearch"] = true;



$tdatatb_catgitens_consumo[".shortTableName"] = "tb_catgitens_consumo";
$tdatatb_catgitens_consumo[".nSecOptions"] = 0;

$tdatatb_catgitens_consumo[".mainTableOwnerID"] = "";
$tdatatb_catgitens_consumo[".entityType"] = 0;

$tdatatb_catgitens_consumo[".strOriginalTableName"] = "tb_catgitens_consumo";

	



$tdatatb_catgitens_consumo[".showAddInPopup"] = false;

$tdatatb_catgitens_consumo[".showEditInPopup"] = false;

$tdatatb_catgitens_consumo[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_catgitens_consumo[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_catgitens_consumo[".listAjax"] = false;
//	temporary
$tdatatb_catgitens_consumo[".listAjax"] = false;

	$tdatatb_catgitens_consumo[".audit"] = false;

	$tdatatb_catgitens_consumo[".locking"] = false;


$pages = $tdatatb_catgitens_consumo[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_catgitens_consumo[".edit"] = true;
	$tdatatb_catgitens_consumo[".afterEditAction"] = 0;
	$tdatatb_catgitens_consumo[".closePopupAfterEdit"] = 1;
	$tdatatb_catgitens_consumo[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_catgitens_consumo[".add"] = true;
$tdatatb_catgitens_consumo[".afterAddAction"] = 1;
$tdatatb_catgitens_consumo[".closePopupAfterAdd"] = 1;
$tdatatb_catgitens_consumo[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_catgitens_consumo[".list"] = true;
}



$tdatatb_catgitens_consumo[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_catgitens_consumo[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_catgitens_consumo[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_catgitens_consumo[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_catgitens_consumo[".printFriendly"] = true;
}



$tdatatb_catgitens_consumo[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_catgitens_consumo[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_catgitens_consumo[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_catgitens_consumo[".isUseAjaxSuggest"] = true;

$tdatatb_catgitens_consumo[".rowHighlite"] = true;





$tdatatb_catgitens_consumo[".ajaxCodeSnippetAdded"] = false;

$tdatatb_catgitens_consumo[".buttonsAdded"] = false;

$tdatatb_catgitens_consumo[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_catgitens_consumo[".isUseTimeForSearch"] = false;


$tdatatb_catgitens_consumo[".badgeColor"] = "CD5C5C";


$tdatatb_catgitens_consumo[".allSearchFields"] = array();
$tdatatb_catgitens_consumo[".filterFields"] = array();
$tdatatb_catgitens_consumo[".requiredSearchFields"] = array();

$tdatatb_catgitens_consumo[".googleLikeFields"] = array();
$tdatatb_catgitens_consumo[".googleLikeFields"][] = "catg_id";
$tdatatb_catgitens_consumo[".googleLikeFields"][] = "categoria";



$tdatatb_catgitens_consumo[".tableType"] = "list";

$tdatatb_catgitens_consumo[".printerPageOrientation"] = 0;
$tdatatb_catgitens_consumo[".nPrinterPageScale"] = 100;

$tdatatb_catgitens_consumo[".nPrinterSplitRecords"] = 40;

$tdatatb_catgitens_consumo[".geocodingEnabled"] = false;










$tdatatb_catgitens_consumo[".pageSize"] = 20;

$tdatatb_catgitens_consumo[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_catgitens_consumo[".strOrderBy"] = $tstrOrderBy;

$tdatatb_catgitens_consumo[".orderindexes"] = array();

$tdatatb_catgitens_consumo[".sqlHead"] = "SELECT catg_id,  	categoria";
$tdatatb_catgitens_consumo[".sqlFrom"] = "FROM tb_catgitens_consumo";
$tdatatb_catgitens_consumo[".sqlWhereExpr"] = "";
$tdatatb_catgitens_consumo[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_catgitens_consumo[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_catgitens_consumo[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_catgitens_consumo[".highlightSearchResults"] = true;

$tableKeystb_catgitens_consumo = array();
$tableKeystb_catgitens_consumo[] = "catg_id";
$tdatatb_catgitens_consumo[".Keys"] = $tableKeystb_catgitens_consumo;


$tdatatb_catgitens_consumo[".hideMobileList"] = array();




//	catg_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "catg_id";
	$fdata["GoodName"] = "catg_id";
	$fdata["ownerTable"] = "tb_catgitens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_catgitens_consumo","catg_id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "catg_id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "catg_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_catgitens_consumo["catg_id"] = $fdata;
		$tdatatb_catgitens_consumo[".searchableFields"][] = "catg_id";
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "tb_catgitens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_catgitens_consumo","categoria");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "categoria";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "categoria";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_catgitens_consumo["categoria"] = $fdata;
		$tdatatb_catgitens_consumo[".searchableFields"][] = "categoria";


$tables_data["tb_catgitens_consumo"]=&$tdatatb_catgitens_consumo;
$field_labels["tb_catgitens_consumo"] = &$fieldLabelstb_catgitens_consumo;
$fieldToolTips["tb_catgitens_consumo"] = &$fieldToolTipstb_catgitens_consumo;
$placeHolders["tb_catgitens_consumo"] = &$placeHolderstb_catgitens_consumo;
$page_titles["tb_catgitens_consumo"] = &$pageTitlestb_catgitens_consumo;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_catgitens_consumo"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_catgitens_consumo"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_catgitens_consumo()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "catg_id,  	categoria";
$proto0["m_strFrom"] = "FROM tb_catgitens_consumo";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "catg_id",
	"m_strTable" => "tb_catgitens_consumo",
	"m_srcTableName" => "tb_catgitens_consumo"
));

$proto6["m_sql"] = "catg_id";
$proto6["m_srcTableName"] = "tb_catgitens_consumo";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "tb_catgitens_consumo",
	"m_srcTableName" => "tb_catgitens_consumo"
));

$proto8["m_sql"] = "categoria";
$proto8["m_srcTableName"] = "tb_catgitens_consumo";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "tb_catgitens_consumo";
$proto11["m_srcTableName"] = "tb_catgitens_consumo";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "catg_id";
$proto11["m_columns"][] = "categoria";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "tb_catgitens_consumo";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "tb_catgitens_consumo";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_catgitens_consumo";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_catgitens_consumo = createSqlQuery_tb_catgitens_consumo();


	
		;

		

$tdatatb_catgitens_consumo[".sqlquery"] = $queryData_tb_catgitens_consumo;

$tableEvents["tb_catgitens_consumo"] = new eventsBase;
$tdatatb_catgitens_consumo[".hasEvents"] = false;

?>